@import url('https://fonts.googleapis.com/css?family=Merriweather:300,400,700|Oswald:300,400,500');
/* ==========================================================================
   Base styles:
   ========================================================================== */
/* Fix to include padding and border in the total width for each element */
* {
  box-sizing: border-box;
}

/* Fix for responsive images */
img {
  max-width: 100%;
  margin: 0 auto;
}
p {
  font-family: 'Merriweather', serif;
  font-weight: 300;
}
h1, h2, h3, h4, h5 {
  font-family: 'Oswald', sans-serif;
  font-weight: 400;
}
h1 {
    color: #086329;
}
ul {
  font-family: 'Oswald', sans-serif;
  font-weight: 400;
  font-size: 20px;
  padding-left: 0px;
}
body {
  background-color: #313E4D;
  color: #313E4D;
}

/* ----------------------------------------
Grid Systems
------------------------------------------- */
.col-1 {
  flex-basis: 100%;
}
.col-1-2 {
  flex-basis: 48%;
}
.col-2-3 {
  flex-basis: 65%;
}
.col-1-3 {
  flex-basis: 32%;
}
.col-1-4 {
  flex-basis: 24%;
}
.res-row-1 {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}
.dbl-col {
  display: flex;
  justify-content: center;
}
.col-other {
  flex-basis: 40%;
}

/* ----------------------------------------
Nav
------------------------------------------- */
nav li {
  display: inline-block;
  margin: 20px;
}
nav {
  background-color: #8BA69B;
  position: fixed;
  width: 100%;
}
nav li a {
  color: #313E4D;
  text-decoration: none;
}
nav li a:hover {
  color: #E0EEC6;
}
nav ul {
  text-align: center;
}
.hamburger {
  display: none;
	font-size: 45px;
	margin: 10px 0;
	padding-left: 20px;
  color: #2D5EB1;
  position: fixed;
  top: 0;
  left: 0;
}
.hamburger:hover {
  color: #FEC52A;
  cursor: pointer;
}

.side-nav {
  transform: translateX(-200px);
  transition: all 350ms ease-in-out;
}
.open {
  transform: translateX(0px);
}
#nav-sidebar {
  width: 200px;
  height: 100%;
  background-color:#313E4D;
  color: white;
  position: fixed;
  top: 0;
  left: 0;
  padding: 20px 0;
  text-align: center;
}
#nav-sidebar ul {
  color: white;
}
#nav-sidebar li {
  margin: 0px 15px 10px 15px;
}
#nav-sidebar li a {
  text-decoration: none;
  color: white;
}
#nav-sidebar li a:hover {
  text-decoration: none;
  color: #FCFFF5;
}
#nav-sidebar h2 {
  color: #92CDCF;
  text-align: center;
}
.exit {
    position: absolute;
    top: 10px;
    right: 20px;
    text-transform: none;
    font-size: 20px;
    text-decoration: none;
    color: #F3F3F3;
}
.line {
  border-bottom: 4px solid #849E90;
  width: 35px;
  margin-bottom: 6px;
}
.line:last-child {
  margin-bottom: 0;
}
.side-nav ul {
  list-style-type: none;
  text-align: center;
}
.hamburger-button {
  margin-left: 50px;
}
.hamburger-button-home {
  margin-left: 10px;
}
/* ----------------------------------------
header-img
------------------------------------------- */
.header-img {
  background-image: url(../img/circles-light.png);
  background-attachment: fixed;
  background-size: cover;
  background-position: center;
  padding: 200px;
}
.align-header img {
   height: 250px;
   width: 550px;
   margin-top: 20px;
}
.align-header {
  display: flex;
  justify-content: center;
  align-items: center;
}
/* ----------------------------------------
Image Carousel
------------------------------------------- */
button {
	border: none;
	font-size: .9rem;
	color: #086329;
	text-transform: uppercase;
	font-weight: bold;
	padding: 8px 15px;
	margin: 0 10px;
  text-align: center;
}
.carousel-img {
	margin: 0 auto;
	max-width: 500px;
  max-height: 500px;
  display: none;
  margin-top: 50px;
}

.carousel-img:first-of-type {
	display: block;
}
.align button {
  text-align: center;
}
#previous {
  margin-left: 20px;
}

/* ----------------------------------------
Home
------------------------------------------- */
.home-wrapper{
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  background-color: #F3F3F3;
  padding: 50px;
}
#home {
  padding: 100px;
}
#home h1 a {
  color: #086329;
  text-align: center;
  font-size: 42px;
  margin-left: 18px;
}
#home h1 a:hover {

}
.contact-button {
  text-transform: uppercase;
  font-size: 16px;
  padding: 15px 25px 15px 25px;
  margin-top: 10px;
  transition-duration: 0.25s;
  color: #086329;
  border: 3px solid #086329;
}
.contact-button:hover {
  background-color: #086329;
  color: white;
  cursor:pointer;
}
/* The Modal (background) */
.modal {
   display: none; /* Hidden by default */
   position: fixed; /* Stay in place */
   z-index: 1; /* Sit on top */
   left: 0;
   top: 0;
   width: 100%; /* Full width */
   height: 100%; /* Full height */
   overflow: auto; /* Enable scroll if needed */
   background-color: rgb(0,0,0); /* Fallback color */
   background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}
/* Modal Content/Box */
.modal-content {
   background-color: #fefefe;
   margin: 15% auto; /* 15% from the top and centered */
   padding: 20px;
   border: 1px solid #888;
   width: 80%; /* Could be more or less, depending on screen size */
}

/* The Close Button */
.close {
   color: #aaa;
   float: right;
   font-size: 28px;
   font-weight: bold;
}
.close:hover,
.close:focus {
   color: black;
   text-decoration: none;
   cursor: pointer;
}
form {
  font-family: 'Oswald', sans-serif;
  -webkit-font-smoothing: antialiased;
  text-transform: uppercase;
  letter-spacing: .02em;
  text-align: center;
  color: #44545E;
  padding: 50px;
  width: 100%;
  margin: 0 auto;
}
input, textarea {
 display: block;
 font-family: 'Oswald', sans-serif;
 text-transform: uppercase;
 padding: 8px 25.5px;
 text-align: center;
 margin-bottom: 10px;
 border: #44545E;
 width: 100%;
 font-size: 18px;
}
.form-button {
 background-color: #2C4829;
 color: white;
 font-family: 'Oswald', sans-serif;
 text-transform: uppercase;
 padding: 5px 250px 5px 250px;
 text-align: center;
 margin-top: 10px;
 width: 100%;
 font-size: 18px;
}
.form-button:hover {
 color: #2C4829;
 background-color: white;
 border: 2px solid #2C4829;
 font-family: 'Oswald', sans-serif;
 text-transform: uppercase;
 padding: 5px 250px 5px 250px;
 transition: 0.25s;
 cursor:pointer;
}
/* ----------------------------------------
Residency
------------------------------------------- */
.residency-wrapper {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  background-color: #F3F3F3;
  padding: 50px;
}
#residency {
  padding: 100px;
}
#residency img {
  margin-top: 30px;
  height: 350px;
  width: 600px;
}
/* ----------------------------------------
Directions
------------------------------------------- */
.directions-wrapper {
  background-color: #F3F3F3;
  padding: 10px;
}
#directions {
  padding: 90px;
  text-align: center;
}
.learn-more {
  margin: 0px 150px 0px 150px;
}
.driving-directions ul {
  list-style-type: none;
}
.map {
  margin-top: 30px;
}
iframe {
  width: 600px;
  height: 450px;
}
/* ----------------------------------------
Additional
------------------------------------------- */
#additional {
  padding: 100px;
}
.additional-wrapper {
  display: block;
  flex-wrap: wrap;
  justify-content: space-between;
  background-color: #F3F3F3;
  padding: 50px;
  text-align: center;

}
.italics {
  font-style: italic;
  color: #086329;
  font-weight: 400;
}
/* ----------------------------------------
Nearby
------------------------------------------- */
.nearby {
  text-align: center;
}
/* ----------------------------------------
Footer
------------------------------------------- */
.info-footer {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  color: #313D31;
}
.info-footer a {
  color: #313D31;
  text-decoration: none;
}
footer {
  padding-bottom: 20px;
  text-align: center;
  background-color: #849E90;
}
footer p {
  color: #313D31;
}
footer p a {
  color: #313D31;
}
footer p a:hover {
  color: #E0EEC6;
}
footer a:hover {
  color: #E0EEC6;
}
footer img {
  padding-top: 20px;
}
/* ----------------------------------------
Responsive Design
------------------------------------------- */
@media screen and (max-width: 1200px) {
  .residency-wrapper {
    padding: 20px;
  }
  .additional-wrapper {
    padding: 20px;
  }
}
@media screen and (max-width: 1100px) {
  .res-row-1 {
    display: block;
  }
  .residency-wrapper {
    text-align: center;
  }
  .residency-wrapper ul {
    list-style-type: none;
  }
  .res-text {
    padding-left: 70px;
    padding-right: 70px;
  }
}
@media screen and (max-width: 1100px) and (max-height: 1400px) {
  .align-header img {
    max-width: 400px;
    max-height: 400px;
  }
}
@media screen and (max-width: 1000px) {
  .md-col-1-3 {
    flex-basis: 32%;
  }
  .footer-add {
    padding-right: 40px;
  }
}
@media screen and (max-width: 925px) {
  .home-wrapper {
    display: block;
    text-align: center;
  }

}
@media screen and (max-width: 850px) {
  .sm-col-1 {
    flex-basis: 100%;
  }
  .sm-col-1-2 {
    flex-basis: 50%;
  }
  .learn-more {
    margin: 0px 100px 0px 100px;
  }
  .sm-none {
    display: none;
  }
  .footer-add {
    padding-right: 60px;
  }
}
@media screen and (max-width: 800px) {
  .dbl-col {
    display: block;
  }
  iframe {
    width: 550px;
  }
  .align-header img {
    max-width: 400px;
    max-height: 400px;
  }
}
@media screen and (max-width: 750px) {
  .hamburger {
    display: block;
    text-align: center;
  }
  nav ul {
    display: none;
  }
  iframe {
    width: 500px;
  }
  #home {
    padding: 70px;
  }
  #residency {
    padding: 70px;
  }
  #additional {
    padding: 70px;
  }
  #directions {
    padding: 70px;
  }
  .align-header img {
    max-width: 400px;
    max-height: 400px;
  }
}
@media screen and (max-width: 700px) {
  iframe {
    width: 450px;
  }
  footer {
    padding: 30px 30px 20px 30px;
  }
  .carousel-img {
  	margin: 0 auto;
  	max-width: 400px;
    max-height: 400px;
  }
}
@media screen and (max-width: 650px) {
  iframe {
    width: 400px;
    height: 400px;
  }
  .learn-more {
    margin: 0px 50px 0px 50px;
  }
  .res-text {
    padding-left: 40px;
    padding-right: 40px;
  }
}
@media screen and (max-width: 600px) {
  iframe {
    width: 380px;
  }
  #home {
    padding: 50px;
  }
  #residency {
    padding: 50px;
  }
  #additional {
    padding: 50px;
  }
  #directions {
    padding: 50px;
  }
}
@media screen and (max-width: 550px) {
  iframe {
    height: 350px;
  }
  .learn-more {
    margin: 0px 30px 0px 30px;
  }
  .footer-add {
    padding-right: 20px;
  }
  .carousel-img {
    margin: 0 auto;
    max-width: 300px;
    max-height: 300px;
  }
  .align-header img {
    margin: 0 auto;
    max-width: 350px;
    max-height: 350px;
  }
}
@media screen and (max-width: 500px) {
  iframe {
    display: none;
  }
  .home-wrapper {
    padding: 20px;
  }
  .residency-wrapper {
    padding: 20px;
  }
  .additional-wrapper {
    padding: 20px;
  }
  .directions-wrapper {
    padding: 20px;
  }
}
@media screen and (max-width: 475px) {
  .footer-add {
    padding-right: 0px;
  }
}
@media screen and (max-width: 450px) {
  .info-footer {
    display: block;
  }
  .mobile-col {
    display: none;
  }
  .footer-add {
    padding: 0px 20px 10px 20px;
  }
  .res-text{
    padding: 0px;
  }
  .home-wrapper {
    padding: 5px 5px 10px 5px;
  }
  .residency-wrapper {
    padding: 5px;
  }
  .additional-wrapper {
    padding: 5px 5px 10px 5px;
  }
  .directions-wrapper {
    padding: 5px 5px 10px 5px;
  }
  #home {
    padding: 20px;
  }
  #residency {
    padding: 20px;
  }
  #additional {
    padding: 20px;
  }
  #directions {
    padding: 20px;
  }
  .align-header img {
    margin: 0 auto;
    max-width: 290px;
    max-height: 320px;
  }
}
@media screen and (max-width: 350px) and (max-height: 600px) {
  .align-header img {
    margin: 0 auto;
    max-width: 240px;
    max-height: 200px;
  }
}
